menu_std_item:
  namespace: "Organisms/TM - Menus"
  use: "@organisms/tm-menu/menu-std-item/menu-std-item.twig"
  label: Standard Menu Item
  description: Standard Menu Item.
  fields:
    lid:
      type: text
      label: Label
      description: The item ID.
      preview: "_1"
    title:
      type: text
      label: Label
      description: The item label.
      preview: "News Desk"
    icon:
      type: text
      label: Icon
      description: FA Icon class
      preview: "fas fa-angle-right"
    url:
      type: text
      label: Label
      description: The item url.
      preview: "/about-us/news-desk"
    sub_links:
      type: object
      label: Label
      description: The item children.
      preview:
      - lid: "_11"
        title: "Media Team"
        url: "/about-us/news-desk/media-team"
      - lid: "_12"
        title: "News Articles"
        url: "/about-us/news-desk/news-articles"
        sub_links:
          - lid: "_111"
            title: "Contact us"
            url: "/about-us/news-desk/media-team"
          - lid: "_112"
            title: "Support us"
            url: "/about-us/news-desk/news-articles"

  settings:
    depth:
      type: number
      label: Depth
      default_value: 0
      preview: 0
    max_depth:
      label: Depth
      type: number
      default_value: 5
      preview: 5
